"""
Program that accepts 4 arguments as command line arguments and fills in the following
sentence mad-libs style. The 4 arguments should be a number, a number, a name, an animal name:
	NAME  has NUM1*NUM2 ANIMALs

Example:
    python3 mad_libs 3 2 Frankie dog
    Frankie has 6 dogs.

Written by Frankie Cerkvenik 2023
"""

import sys


def main():
    # process command line arguments to fill in variable names
    args = sys.argv[1:]
    if len(args) != 4:
        print("Run this program with four arguments: num1, num2, name, animal name")
        return
    num1 = int(args[0])
    num2 = int(args[1])
    prod = num1 * num2
    name = args[2]
    animal = args[3]

    # this is the final output (note we turn prod into a string to print
    print(name + " has " + str(prod) + " " + animal +"s.")


if __name__ == '__main__':
    main()