"""
Program that takes in any number of strings, separates all digits from each string to make
a number, then prints the sum of all the separated numbers, then prints all the non-digit
strings as a sentence separated by spaces.

Example:
    python3 nums_and_strs.py CS106A CS106B 1A3C
    225
    CSA CSB AC

Written by Frankie Cerkvenik 2023
"""
import sys


def get_strs(str_list):
    """
    Given a list of strings, returns a list of each string with all digit characters
    removed. If a string would be empty, does not inlcude it in the result list
    Example:
        ['CS106A', 'CS', '106'] ->
        ['CSA', 'CS']
    Doctests:
    >>> get_strs(['CS106A', 'CS', '106'])
    ['CSA', 'CS']
    >>> get_strs([])
    []
    >>> get_strs(['123frankie567'])
    ['frankie']
    """
    strs = []
    for elem in str_list:
        s = ''
        for char in elem:
            if not char.isdigit():
                s += char
        if s:
            strs.append(s)
    return strs


def get_nums(num_list):
    """
    Given a list of strings, separates out the digit chanracters in each list
    and returns a list of those numbers
    ['CS106A', 'CS106B', '1A3C', 'frankie'] ->
    [106, 106, 13]
    Doctests:
    >>> get_nums(['CS106A', 'CS106B', '1A3C', 'frankie'])
    [106, 106, 13]
    >>> get_nums([])
    []
    >>> get_nums(['11', '12', '13'])
    [11, 12, 13]
    """
    nums = []
    # look through each string in l
    for elem in num_list:
        num = ''
        # grab each digit from elem
        for char in elem:
            if char.isdigit():
                num += char
        if num != '':
            # need to make num an int, it's currently a str!
            nums.append(int(num))
    return nums


def sum_of_list(l):
    """
    Returns the sum of each element of the given list of numbers, l
    Doctests:
    >>> sum_of_list([1, 2, 3])
    6
    >>> sum_of_list([])
    0
    >>> sum_of_list([13])
    13
    """
    s = 0
    for elem in l:
        s += l
    return s

def main():
    args = sys.argv[1:]
    nums = get_nums(args)
    # Neat built in function to calculate the sum of a list:
    s = sum(nums)
    # s = sum_of_list(nums) is how we did it in class
    strs = get_strs(args)
    # Neat built in function to join each element of a list with a space!
    str_result = " ".join(strs)
    print(s)
    print(str_result)


if __name__ == '__main__':
    main()